org.eclipse.net4j.util.fsm

## Class FiniteStateMachine.ChangeStateTransition

- java.lang.Object
- - org.eclipse.net4j.util.fsm.FiniteStateMachine.ChangeStateTransition

- All Implemented Interfaces:
    ITransition<STATE,EVENT,SUBJECT,Object>
  Enclosing class:
    FiniteStateMachine<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT>

      public class FiniteStateMachine.ChangeStateTransition
      extends Object
      implements ITransition<STATE,EVENT,SUBJECT,Object>

  A `transition` that changes the `state` of a subject.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeStateTransition(STATE targetState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(SUBJECT subject, STATE state, EVENT event, Object data)`
    `STATE` | `getTargetState()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeStateTransition

          public ChangeStateTransition(STATE targetState)

  - ### Method Detail

    - #### getTargetState

          public STATE getTargetState()

    - #### execute

          public void execute(SUBJECT subject,
                              STATE state,
                              EVENT event,
                              Object data)

      Specified by:
        `execute` in interface `ITransition<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT,Object>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html